Skip to main content
`Ctrl`+`K`

# numpy.ma.masked_array.product

method

ma.masked_array.product(axis=None, dtype=None, out=None, keepdims=<no value>)

  Return the product of the array elements over the given axis.

  Masked elements are set to 1 internally for computation.

  Refer to `numpy.prod` for full documentation.

  See also

  `numpy.ndarray.prod`

    corresponding function for ndarrays

  `numpy.prod`

    equivalent function

  Notes

  Arithmetic is modular when using integer types, and no error is raised on overflow.